package com.yeejoin.amos.boot.module.jg.api.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.amos.boot.biz.common.bo.ReginParams;
import com.yeejoin.amos.boot.module.jg.api.dto.JgTransferNoticeDto;
import com.yeejoin.amos.boot.module.jg.api.entity.JgTransferNotice;
import jdk.nashorn.api.scripting.JSObject;

import java.util.List;
import java.util.Map;

/**
 * 移装造告知接口类
 *
 * @author system_generator
 * @date 2023-12-19
 */
public interface IJgTransferNoticeService extends IService<JgTransferNotice> {

    Map<String, Map<String, Object>> queryBySequenceNbr(Long sequenceNbr, String companyLevel);

    JgTransferNoticeDto updateTransferNotice(String submitType, JgTransferNoticeDto noticeDto, String op);

    Page<JgTransferNoticeDto> queryForJgTransferNoticePage(Page<JgTransferNotice> page, JgTransferNoticeDto model, String type, ReginParams reginParams);

    Boolean deleteForBatch(Long[] sequenceNbrs);

    List<JgTransferNotice> saveNotice(String submitType, Map<String, Object> model, ReginParams reginParams);

    String generateTransferNoticeReport(Long sequenceNbr);

}
